Bug 439954 - recover gracefully
recover gracefully
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-31 23:06 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-07 21:38:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gpk-update-viewer traceback (28.07 KB, image/png)
2008-03-31 23:07 EDT, Rahul Sundaram
no flags Details

  None (edit)
Description Rahul Sundaram 2008-03-31 23:06:09 EDT
Description of problem:

If a repository has non signed packages like the PK git repo, gpk-update-viewer
just hangs. Also if any one of repositories is temporarily inaccessible, i can
see the same behaviour. 

Expected results:

In the first case, give me a option to skip the gpg check for that session or
disable gpg check in the repo permanently. 

In the second case, similarly give me the option to skip checking against that
particular repo or disable it permanently.
Comment 1 Rahul Sundaram 2008-03-31 23:07:33 EDT
Created attachment 299817 [details]
gpk-update-viewer traceback
Comment 2 Richard Hughes 2008-04-01 14:29:08 EDT
What version pk and gpk? Thanks.
Comment 3 Rahul Sundaram 2008-04-02 07:45:55 EDT
Comment 4 Richard Hughes 2008-04-13 12:50:09 EDT
Does this still happen using 0.2.x?
Comment 5 Bug Zapper 2008-05-14 04:29:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Brennan Ashton 2008-06-07 21:38:05 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.